libvte-2.90-common_0.32.2-1_all.deb


Advertisement

Description

libvte-2.90-common - Terminal emulator widget for GTK+ 3.0 - common files

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name libvte-2.90-common
Package version 0.32.2
Package release 1
Package architecture all
Package type deb
Installed size 1.29 KB
Download size 430.68 KB
Official Mirror ftp.br.debian.org
The VTE library provides a terminal emulator widget VteTerminal for
applications using the GTK+ toolkit. It also provides the VtePTY object
containing functions for starting a new process on a new
pseudo-terminal and for manipulating pseudo-terminals.
This package contains internationalization files for the VTE library
and common files for the GTK+ 3.x version.

Alternatives

Package Version Architecture Repository
libvte-2.90-common_0.32.2-1_all.deb 0.32.2 all Debian Main
libvte-2.90-common - - -

Replaces

Name Value
libvte-common << 1:0.28.2-2

Download

Type URL
Binary Package libvte-2.90-common_0.32.2-1_all.deb
Source Package vte3

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libvte-2.90-common deb package:
    # sudo apt-get install libvte-2.90-common

Files

Path
/usr/share/doc/libvte-2.90-common/AUTHORS
/usr/share/doc/libvte-2.90-common/NEWS.gz
/usr/share/doc/libvte-2.90-common/README
/usr/share/doc/libvte-2.90-common/changelog.Debian.gz
/usr/share/doc/libvte-2.90-common/changelog.gz
/usr/share/doc/libvte-2.90-common/copyright
/usr/share/locale/am/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ang/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ar/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/as/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ast/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/az/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/be/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/be@latin/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/bg/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/bn/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/bn_IN/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/bs/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ca/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ca@valencia/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/cs/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/cy/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/da/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/de/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/dz/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/el/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/en@shaw/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/en_CA/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/en_GB/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/eo/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/es/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/et/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/eu/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/fa/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/fi/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/fr/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ga/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/gl/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/gu/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/he/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/hi/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/hr/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/hu/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/id/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/is/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/it/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ja/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ka/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/kn/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ko/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ku/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ky/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/li/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/lt/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/lv/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/mai/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/mi/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/mk/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ml/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/mn/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/mr/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ms/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/nb/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/nds/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ne/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/nl/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/nn/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/oc/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/or/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/pa/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/pl/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/pt/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/pt_BR/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ro/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ru/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/rw/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/si/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/sk/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/sl/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/sq/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/sr/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/sr@latin/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/sv/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ta/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/te/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/th/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/tr/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/ug/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/uk/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/vi/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/wa/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/xh/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/zh_CN/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/zh_HK/LC_MESSAGES/vte-2.90.mo
/usr/share/locale/zh_TW/LC_MESSAGES/vte-2.90.mo
/usr/share/vte/termcap-2.90/xterm

Changelog

2012-06-01 - Michael Biebl <biebl@debian.org>
vte3 (1:0.32.2-1) unstable; urgency=low
* New upstream release.
- Fixes broken Alt/Meta/Mod1 handling. Closes: #648975
* Refresh patches.
* Remove debian/patches/02_meta.patch, fixed upstream in a different way.
2012-04-25 - Michael Biebl <biebl@debian.org>
vte3 (1:0.32.1-1) unstable; urgency=low
* New upstream release.
2012-04-02 - Michael Biebl <biebl@debian.org>
vte3 (1:0.32.0-2) unstable; urgency=low
* Install a copy of the old termcap file so currently running terminal
instances which have the old version of the library loaded, aren't broken
by the upgrade. This workaround is only temporary. Closes: #665771
* debian/watch: Track stable releases.
* Bump Standards-Version to 3.9.3.
* Update debian/copyright using the machine-readable copyright format 1.0.
* Drop Build-Depends on gir1.2-gtk-3.0, pulled by libgtk-3-dev.
2012-03-21 - Martin Pitt <mpitt@debian.org>
vte3 (1:0.32.0-1) experimental; urgency=low
* New upstream release.
* debian/control.in: Bump glib build dependency as per configure.ac.
* Drop 03_glade-catalog-library-name.patch, fixed upstream.
* 25_optional-ncurses.patch: Unfuzz.
* Add 03_scroll_region_updates.patch: Fix glitches with interspersing writes
to the bottom line with scrolls of the upper region. Patch taken from
Ubuntu package. (GNOME #542087, LP: #246701)
* Add 04_workaround_resources_compiler_path.patch: Drop --sourcedir from
glib-compile-resources call. It is not necessary here, and breaks
out-of-tree builds with absolute configure paths, such as cdbs does.
Works around GNOME #672541.
* debian/libvte-2.90-{common,9-udeb}.install: Drop termcap file, it's built
in using GResource now.
* debian/rules: Explicitly configure with --enable-gtk-doc, it's disabled
now by default.
* debian/libvte-2.90-9.symbols: Add new symbol from this release.
2012-03-13 - Michael Biebl <biebl@debian.org>
vte3 (1:0.30.1-4) unstable; urgency=low
* debian/patches/03_glade-catalog-library-name.patch: Use the correct
vte library name in the glade catalog file.
* Move the glade catalog file from libvte-2.90-common into libvte-2.90-dev
alongside the .so it references.
* Add the necessary Breaks/Replaces.
2011-12-12 - Michael Biebl <biebl@debian.org>
vte3 (1:0.30.1-3) unstable; urgency=low
* debian/control.in:
- Remove obsolete Replaces.
- Change section of gir1.2-vte-2.90 to introspection.
- Remove X-Python-Version, since we no longer build a python module.
* debian/rules:
- Correctly pass libexecdir to configure so libvte has the correct path to
gnome-pty-helper.
* Update install and lintian override file for the updated gnome-pty-helper
location. We use the full library package name as subdirectory now, so we
don't get file conflicts on soname bumps.
2011-11-19 - Josselin Mouette <joss@debian.org>
vte3 (1:0.30.1-2) unstable; urgency=low
* libvte-2.90-9.symbols: add correct Build-Depends-Package.
* 02_meta.patch: workaround for Meta key being broken since the GTK+ 
3.2.2 upgrade. Closes: #648975.
2011-11-12 - Josselin Mouette <joss@debian.org>
vte3 (1:0.30.1-1) experimental; urgency=low
* New upstream release.
* Drop all GTK+ 2.x support since it has disappeared upstream.
* Rename source package accordingly.
* Bump gtk+ build-dependency.
* Call dpkg-gensymbols -c4.
* Add appropriate Breaks/Replaces for moved files.
* Create a udeb for the gtk3 version.
2011-10-19 - Michael Biebl <biebl@debian.org>
vte (1:0.28.2-1) unstable; urgency=low
* New upstream release.
* debian/watch:
- Track .xz tarballs.
* Refresh debian/patches/25_optional-ncurses.patch.
* debian/control.in:
- Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
- Add Vcs-* fields.
- Bump Standards-Version to 3.9.2. No further changes.
* Switch to dh_python2.

See Also

Package Description
libvte-2.90-dev_0.32.2-1_i386.deb Terminal emulator widget for GTK+ 3.0 - development files
libvte-2.90-doc_0.32.2-1_all.deb Terminal emulator widget for GTK+ 3.0 - documentation
libvte-common_0.28.2-5_all.deb Terminal emulator widget for GTK+ 2.x - common files
libvte-dev_0.28.2-5_i386.deb Terminal emulator widget for GTK+ 2.0 - development files
libvte-doc_0.28.2-5_all.deb Terminal emulator widget for GTK+ 2.x - documentation
libvte-ruby1.8_1.1.3-2_all.deb Transitional package for ruby-vte
libvte-ruby_1.1.3-2_all.deb Transitional package for ruby-vte
libvte0.16-cil-dev_2.26.0-8_i386.deb CLI binding for VTE 0.16
libvte0.16-cil_2.26.0-8_i386.deb CLI binding for VTE 0.16
libvte9_0.28.2-5_i386.deb Terminal emulator widget for GTK+ 2.0 - runtime files
libvtk-java_5.8.0-13+b1_i386.deb Visualization Toolkit - A high level 3D visualization library - java
libvtk5-dev_5.8.0-13+b1_i386.deb VTK header files for building C++ code
libvtk5-qt4-dev_5.8.0-13+b1_i386.deb Visualization Toolkit - A high level 3D visualization library - Qt devel
libvtk5.8-qt4_5.8.0-13+b1_i386.deb Visualization Toolkit - A high level 3D visualization library - Qt runtime
libvtk5.8_5.8.0-13+b1_i386.deb Visualization Toolkit - A high level 3D visualization library - runtime
Advertisement
Advertisement